(function( factory ) {
	if ( typeof define === "function" && define.amd ) {
		define( ["jquery", "../jquery.validate"], factory );
	} else {
		factory( jQuery );
	}
}(function( $ ) {

/*
 * Translated default messages for the jQuery validation plugin.
 * Locale: TH (Thai; Р°в„–вЂћР°С‘вЂ”Р°С‘Сћ)
 */
$.extend($.validator.messages, {
	required: "Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘",
	remote: "Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°в„–РѓР°С‘РѓР°в„–вЂ°Р°в„–вЂћР°С‘вЂљР°в„–С“Р°С‘В«Р°в„–вЂ°Р°С‘вЂ“Р°С‘в„–Р°С‘РѓР°С‘вЂўР°в„–вЂ°Р°С‘В­Р°С‘вЂЎ",
	email: "Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘вЂ”Р°С‘ВµР°в„–в‚¬Р°С‘В­Р°С‘СћР°С‘в„–Р°в„–в‚¬Р°С‘В­Р°С‘ВµР°в„–Р‚Р°С‘РЋР°С‘ТђР°в„–РЉР°С‘вЂ”Р°С‘ВµР°в„–в‚¬Р°С‘вЂ“Р°С‘в„–Р°С‘РѓР°С‘вЂўР°в„–вЂ°Р°С‘В­Р°С‘вЂЎ",
	url: "Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘ URL Р°С‘вЂ”Р°С‘ВµР°в„–в‚¬Р°С‘вЂ“Р°С‘в„–Р°С‘РѓР°С‘вЂўР°в„–вЂ°Р°С‘В­Р°С‘вЂЎ",
	date: "Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘В§Р°С‘В±Р°С‘в„ўР°С‘вЂ”Р°С‘ВµР°в„–в‚¬ Р°С‘вЂ”Р°С‘ВµР°в„–в‚¬Р°С‘вЂ“Р°С‘в„–Р°С‘РѓР°С‘вЂўР°в„–вЂ°Р°С‘В­Р°С‘вЂЎ",
	dateISO: "Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘В§Р°С‘В±Р°С‘в„ўР°С‘вЂ”Р°С‘ВµР°в„–в‚¬ Р°С‘вЂ”Р°С‘ВµР°в„–в‚¬Р°С‘вЂ“Р°С‘в„–Р°С‘РѓР°С‘вЂўР°в„–вЂ°Р°С‘В­Р°С‘вЂЎ (Р°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С™ ISO).",
	number: "Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘вЂ”Р°С‘РЃР°С‘в„ўР°С‘Т‘Р°С‘СћР°С‘РЋР°С‘вЂ”Р°С‘ВµР°в„–в‚¬Р°С‘вЂ“Р°С‘в„–Р°С‘РѓР°С‘вЂўР°в„–вЂ°Р°С‘В­Р°С‘вЂЎ",
	digits: "Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘в‚¬Р°С‘С–Р°С‘в„ўР°С‘В§Р°С‘в„ўР°в„–Р‚Р°С‘вЂўР°в„–вЂЎР°С‘РЋР°С‘вЂ”Р°С‘ВµР°в„–в‚¬Р°С‘вЂ“Р°С‘в„–Р°С‘РѓР°С‘вЂўР°в„–вЂ°Р°С‘В­Р°С‘вЂЎ",
	creditcard: "Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘Р€Р°С‘В«Р°С‘В±Р°С‘Р„Р°С‘С™Р°С‘В±Р°С‘вЂўР°С‘Р€Р°в„–Р‚Р°С‘вЂћР°С‘Р€Р°С‘вЂќР°С‘Т‘Р°С‘вЂўР°С‘вЂ”Р°С‘ВµР°в„–в‚¬Р°С‘вЂ“Р°С‘в„–Р°С‘РѓР°С‘вЂўР°в„–вЂ°Р°С‘В­Р°С‘вЂЎ",
	equalTo: "Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘вЂћР°в„–в‚¬Р°С‘Р†Р°в„–Р‚Р°С‘вЂќР°С‘Т‘Р°С‘РЋР°С‘В­Р°С‘ВµР°С‘РѓР°С‘вЂћР°С‘Р€Р°С‘В±Р°в„–вЂ°Р°С‘вЂЎ",
	extension: "Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘вЂћР°в„–в‚¬Р°С‘Р†Р°С‘вЂ”Р°С‘ВµР°в„–в‚¬Р°С‘РЋР°С‘ВµР°С‘Р„Р°в„–в‚¬Р°С‘В§Р°С‘в„ўР°С‘вЂљР°С‘СћР°С‘Р†Р°С‘СћР°С‘вЂ”Р°С‘ВµР°в„–в‚¬Р°С‘вЂ“Р°С‘в„–Р°С‘РѓР°С‘вЂўР°в„–вЂ°Р°С‘В­Р°С‘вЂЎ",
	maxlength: $.validator.format("Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘В­Р°С‘СћР°в„–в‚¬Р°С‘Р†Р°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘вЂћР°в„–в‚¬Р°С‘Р†Р°С‘вЂ”Р°С‘ВµР°в„–в‚¬Р°С‘СћР°С‘Р†Р°С‘В§Р°С‘РѓР°С‘В§Р°в„–в‚¬Р°С‘Р† {0} Р°С‘В­Р°С‘В±Р°С‘РѓР°С‘вЂљР°С‘Р€Р°С‘В°"),
	minlength: $.validator.format("Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘В­Р°С‘СћР°в„–в‚¬Р°С‘Р†Р°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘вЂћР°в„–в‚¬Р°С‘Р†Р°С‘вЂ”Р°С‘ВµР°в„–в‚¬Р°С‘Р„Р°С‘В±Р°в„–вЂ°Р°С‘в„ўР°С‘РѓР°С‘В§Р°в„–в‚¬Р°С‘Р† {0} Р°С‘В­Р°С‘В±Р°С‘РѓР°С‘вЂљР°С‘Р€Р°С‘В°"),
	rangelength: $.validator.format("Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘В­Р°С‘СћР°в„–в‚¬Р°С‘Р†Р°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘вЂћР°в„–в‚¬Р°С‘Р†Р°С‘вЂћР°С‘В§Р°С‘Р†Р°С‘РЋР°С‘СћР°С‘Р†Р°С‘В§Р°С‘Р€Р°С‘В°Р°С‘В«Р°С‘В§Р°в„–в‚¬Р°С‘Р†Р°С‘вЂЎ {0} Р°С‘вЂ“Р°С‘В¶Р°С‘вЂЎ {1} Р°С‘В­Р°С‘В±Р°С‘РѓР°С‘вЂљР°С‘Р€Р°С‘В°"),
	range: $.validator.format("Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘вЂћР°в„–в‚¬Р°С‘Р†Р°С‘Р€Р°С‘В°Р°С‘В«Р°С‘В§Р°в„–в‚¬Р°С‘Р†Р°С‘вЂЎ {0} Р°в„–РѓР°С‘ТђР°С‘В° {1}"),
	max: $.validator.format("Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘вЂћР°в„–в‚¬Р°С‘Р†Р°С‘в„ўР°в„–вЂ°Р°С‘В­Р°С‘СћР°С‘РѓР°С‘В§Р°в„–в‚¬Р°С‘Р†Р°С‘В«Р°С‘Р€Р°С‘В·Р°С‘В­Р°в„–Р‚Р°С‘вЂ”Р°в„–в‚¬Р°С‘Р†Р°С‘РѓР°С‘В±Р°С‘С™ {0}"),
	min: $.validator.format("Р°в„–вЂљР°С‘вЂєР°С‘Р€Р°С‘вЂќР°С‘Р€Р°С‘В°Р°С‘С™Р°С‘С‘Р°С‘вЂћР°в„–в‚¬Р°С‘Р†Р°С‘РЋР°С‘Р†Р°С‘РѓР°С‘РѓР°С‘В§Р°в„–в‚¬Р°С‘Р†Р°С‘В«Р°С‘Р€Р°С‘В·Р°С‘В­Р°в„–Р‚Р°С‘вЂ”Р°в„–в‚¬Р°С‘Р†Р°С‘РѓР°С‘В±Р°С‘С™ {0}")
});

}));